.loading-module__loading--Kj9 {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: center;
	    -ms-flex-pack: center;
	        justify-content: center;
	-webkit-box-align: center;
	    -ms-flex-align: center;
	        align-items: center;
	height: 100%;
	width: 100%;
	z-index: 1000;
}

.layout-module__layout--w63 {
	--layout-height: max(calc(100svh - 100px), 600px);

	display: none;
	position: relative;
}

.layout-module__layout--w63.layout-module__visible--VMg {
	display: block;
}

.layout-module__layout--w63:not(:last-child) {
	margin-right: 20px;
}

.layout-module__layout-content--PQG {
	aspect-ratio: 375 / 812;
	height: var(--layout-height);
	border: 4px solid #46464d;
	border-radius: 32px;
	overflow: hidden;
	position: relative;
	background-color: var(--interact-interact-bg-fill);
}

.layout-module__layout-scrolled-content--gAp {
	height: 100%;
	overflow-y: auto;
	scrollbar-width: none;
}

.layout-module__layout-scrolled-content--gAp::-webkit-scrollbar {
	display: none;
}

.layout-module__layout-title--k9s {
	position: absolute;
	top: -35px;
	width: 100%;
	text-align: center;
}

@media (max-width: 799px) {
	.layout-module__layout-title--k9s {
		display: none;
	}

	.layout-module__layout--w63 {
		position: absolute;
		inset: 0 0 48px;
		height: auto;
		min-height: auto;
	}

	.layout-module__layout-content--PQG {
		aspect-ratio: auto;
		border-width: 0;
		border-radius: 0 0 var(--radius-radius-s) var(--radius-radius-s);
	}

	.layout-module__layout--w63.layout-module__visible--VMg {
		--layout-height: calc(100svh - 48px);

		margin: 0;
	}
}

.app-settings-module__settings-button--fxE {
	position: absolute;
	bottom: 0;
	width: 100%;
}

.app-settings-module__button-text--E1E {
	margin-left: var(--paddings-size-s);
}

.app-settings-module__drawer--LSs .app-settings-module__drawer-content--nAo {
	width: 100vw;
}

.app-settings-module__apps--pJG.app-settings-module__all--mU3 {
	display: none;
}

@media (max-width: 799px) {
	.app-settings-module__settings-button--fxE {
		padding-bottom: var(--paddings-size-xl);
		height: 48px;
	}
}

@media (min-width: 800px) {
	.app-settings-module__settings-button--fxE {
		top: var(--paddings-size-s);
		left: var(--paddings-size-s);
		bottom: auto;
		width: auto;
	}

	.app-settings-module__settings-button--fxE > .app-settings-module__button-text--E1E {
		display: none;
	}

	.app-settings-module__drawer--LSs .app-settings-module__drawer-content--nAo {
		width: 378px;
	}
}

.app-module__app--M3B {
	height: 100%;
	overflow: auto;
	-webkit-box-pack: center;
	    -ms-flex-pack: center;
	        justify-content: center;
	padding: 50px 0;
	-webkit-box-sizing: border-box;
	        box-sizing: border-box;
	display: none;
	position: relative;
}

.app-module__visible--u6t {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
}

.app-module__platform--CyY {
	position: absolute;
	inset: 0;
}

.app-module__icon--mHM {
	color: var(--ant-color-icon);
	font-size: var(--ant-font-size-icon);
}

:root {
	--font-family: arial, sans-serif;
	--color-route-origin: #2e4ce5;
	--color-route-destination: #313133;
	--poi-union-point: #313133;
	--color-button-primary: #eefd7d;
	--color-button-primary-hover: #f8ffa6;
	--color-button-primary-active: #f8ffa6;
	--color-button-text: #050d33;
	--icons-icons-action: #122db2;
}

:root {
	--paddings-size-xxs: 4px;
	--paddings-size-xxxl: 32px;
	--paddings-size-xxl: 24px;
	--paddings-size-xl: 20px;
	--paddings-size-l: 16px;
	--paddings-size-m: 12px;
	--paddings-size-s: 8px;
	--paddings-size-xs: 6px;
	--paddings-size-micro: 2px;
	--paddings-size-zero: 0px;
	--paddings-size-s-2-dont-use-a-lot: 10px;
	--paddings-additional-96: 96px;
	--paddings-additional-64: 64px;
	--text-text-additional: #ccc;
	--text-text-primary: #000;
	--text-text-inverted: #fff;
	--text-text-secondary: #878787;
	--text-text-action: #122db2;
	--text-text-warning: #f73;
	--bg-bg-submerged: #f6f6f6;
	--bg-bg-primary: #fff;
	--radius-radius-l: 16px;
	--radius-radius-s: 8px;
	--radius-radius-zero: 0;
	--radius-radius-round: 1000px;
	--interact-interact-bg-fill: #f6f6f6;
	--poi-stroke-point: #fff;
	--poi-union-point-success: #5ed686;
	--controls-float-surface: rgb(255 255 255 / 90%);
	--strokes-stroke-default: #eee;
	--interact-interact-btn-secondary: rgb(92 94 102 / 6%);
	--interact-interact-btn-accent: #313133;
}

body,
html,
#root {
	margin: 0;
	padding: 0;
	font-family: var(--font-family);
	background-color: var(--interact-interact-bg-fill);
	height: 100%;
}

body {
	-webkit-font-smoothing: antialiased;
	-webkit-tap-highlight-color: transparent;
	-webkit-touch-callout: none;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
	margin: 0;
	padding: 0;
	font-family: var(--font-family);
	white-space: break-spaces;
}

.ant-modal-mask,
.dialog-content,
.dialog-wrapper {
	position: absolute !important;
}

.dialog-content .ant-modal-content {
	padding: 10px;
}

.dialog-content button.ant-btn-primary:not(:disabled) {
	background: var(--color-button-primary);
	color: var(--color-button-text);
}

.dialog-content button.ant-btn-primary:not(:disabled):hover {
	background: var(--color-button-primary-hover);
	color: var(--color-button-text);
}

.dialog-content button.ant-btn-primary:not(:disabled):active {
	background: var(--color-button-primary-active);
	color: var(--color-button-text);
}

